Bug 843421 - UI raised an option and success notification for removing a system from empty system group.
UI raised an option and success notification for removing a system from empty...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 05:45 EDT by Sachin Ghai
Modified: 2014-03-12 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 14:53:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here I created a empty system group 'sysgrp' (no system is associated to this) and UI is raising pop-up 'Are you sure you want to remove selected system from system group entered ?' (60.62 KB, image/png)
2012-07-26 05:45 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-07-26 05:45:11 EDT
Created attachment 600469 [details]
Here I created a empty system group 'sysgrp' (no system is associated to this) and UI is raising pop-up 'Are you sure you want to remove selected system from system group entered ?'

Description of problem:
I was trying to remove a system from a system group but with bulk action. So I selected the system and by pressing control, the right pane get activated. 

I selected the system group which was not associated to any system and click on remove. UI raised a pop-up:

Are you sure you want to remove the 1 selected system(s) from the system group(s) entered?

And on clicking 'yes', a success notification raised.

Version-Release number of selected component (if applicable):
katello-0.2.47-1.git.225.b3aa579.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a system group and do not asscoiate any system, keep it empty
2. Go to systems --> press ctrl --> select any registered systems 
3. This makes right pane active, select the created empty system group in step1
4. a pop-up appears and success notification raised
  
Actual results:
UI raised an option and success notification for removing a system from empty system group.

Expected results: 
Since the selected system is not associated to any system group, so user shouldn't be able to select the empty system groups from the drop down. Only group names with which selected system's are associates should be displayed under the filter box otherwise its will create a confusion.

Additional info:
Comment 1 Mike McCune 2013-08-16 14:03:23 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 2 Bryan Kearney 2014-03-11 14:53:47 EDT
Closing old bugs which are not relevant based on new UI and CLI
Comment 3 Bryan Kearney 2014-03-12 18:52:25 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.